package com.repair.services;

import com.baomidou.mybatisplus.extension.service.IService;
import com.repair.model.pojo.RepairArticleBuild;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ceshi
 * @since 2023-11-02
 */
public interface RepairArticleBuildService extends IService<RepairArticleBuild> {
    boolean saveArticleBuildBatch(List<RepairArticleBuild> rab);

    int insertRepairArticleBuild(RepairArticleBuild rab);

    int updateRepairArticleBuild(RepairArticleBuild ra);

    int updateArticleBuildByUserId(int userId, RepairArticleBuild data);

    int deleteRepairArticleBuildById(int id);

    int deleteRepairArticleBuildByWrapper(int userId);

    List<RepairArticleBuild> queryRepairArticleBuilds();

    List<RepairArticleBuild> getRepairArticleBuilds(int userId);

    int deletedArticleBuildByIds(List<Integer> ids);

    boolean saveorUpdateArticleBuildBatch(List<RepairArticleBuild> rab);
}
